%define major     0
%define libname   %mklibname xeus-sql %major
%define develname %mklibname xeus-sql -d

Name:           xeus-sql
Version:        0.2.1
Release:        %mkrel 1
Summary:        xeus-sql is a Jupyter kernel for general SQL
Group:          System/Libraries
License:        BSD
URL:            https://github.com/jupyter-xeus/xeus-sql
Source0:        https://github.com/jupyter-xeus/xeus-sql/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         cmake.patch
# https://github.com/jupyter-xeus/xeus-sql/pull/88
Patch1:         0001-update-for-xeus-5.patch
BuildRequires:  cmake
BuildRequires:  xeus-devel
BuildRequires:  soci-devel
BuildRequires:  xvega-bindings-devel
BuildRequires:  cmake(xtl)
BuildRequires:  cmake(tabulate)
BuildRequires:  cmake(xeus-zmq)

%description
xeus-sql is a Jupyter kernel for general SQL implementations based
on the native implementation of the Jupyter protocol xeus and SOCI,
a database access library for C++.

%package -n %{libname}
Summary:        xeus-sql is a Jupyter kernel for general SQL
Group:          System/Libraries
Provides:       xeus-sql-libs = %{version}-%{release}

%description -n %{libname}
xeus-sql is a Jupyter kernel for general SQL implementations based
on the native implementation of the Jupyter protocol xeus and SOCI,
a database access library for C++.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       xeus-sql-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON -DXSQL_BUILD_STATIC=OFF
%cmake_build

%install
%cmake_install

%check

%files
%doc README.md
%license LICENSE
%{_bindir}/xsql
%{_datadir}/jupyter/kernels/xsql

%files -n %{libname}
%license LICENSE
%{_libdir}/libxeus-sql.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xeus-sql/
%{_libdir}/cmake/xeus-sql/
%{_libdir}/libxeus-sql.so


%changelog
* Thu Oct 24 2024 daviddavid <daviddavid> 0.2.1-1.mga10
+ Revision: 2111028
- new version: 0.2.1

* Sun Dec 18 2022 joequant <joequant> 0.2.0-1.mga9
+ Revision: 1925189
- update to 0.2.0

* Mon Jun 27 2022 joequant <joequant> 0.1.5-2.mga9
+ Revision: 1866414
- fix deps

* Sun Jun 26 2022 joequant <joequant> 0.1.5-1.mga9
+ Revision: 1866394
- update deps
- update deps
- imported package xeus-sql

